---
title: Setup
description: Instructions for the setup of VehiclesPlus.
published: true
date: 2024-04-07T10:58:30.366Z
tags: 
editor: markdown
dateCreated: 2023-02-16T21:10:41.502Z
---

# Plugin installation
**Supported Versions:** VehiclesPlus works on all Spigot/Paper versions from 1.12.x, **except 1.14.x**!

### Step 1: Check your Java version

VehiclesPlus requires **Java 11** or higher. Make sure your server is compatible with Java 11 or higher.

### Step 2: Download the latest version

Download the latest stable version from [SpigotMC](https://www.spigotmc.org/resources/vehiclesplus-1-12-1-20-4.70523/) or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-20-4.633).

Put the .jar file into the `/plugins` folder of your server.

### Step 3: Download the dependencies
> VehiclesPlus **requires** additional plugins to work correctly. The plugin __WON'T LOAD__ without them.
{.is-warning}

VehiclesPlus requires [ProtocolLib](https://www.spigotmc.org/resources/protocollib.1997/), [Vault](https://www.spigotmc.org/resources/vault.34315/) and an economy plugin (like [EssentialsX](https://essentialsx.net/downloads.html)) to work. Make sure you have them installed!

### Step 4: Download the example resourcepack
> VehiclesPlus uses items to display the vehicles in your server. **If you don't use the resourcepack, it's not possible to see the vehicles.**
{.is-info}

Download the correct resourcepack for your Minecraft version and test it out in your Minecraft client. 

If you are satisfied, you can install it into your Minecraft server:
1. Open the `server.properties` file.
2. Copy the link of the [Click here](#) button for your server version and paste it after `resource-pack=`.
3. Copy the SHA1 hash for your server version and paste it after `resource-pack-sha1=`.

| Version | Download | SHA1 Hash |
|:---:|:---:|---|
| 1.12.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.12.2.zip) | `dc487f4b285a8c5605c70f617f4417844ff50236` |
| 1.13.x - 1.14.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.13.2-1.14.4.zip) | `5f843c09703221dee41276225278771d195fce13` |
| 1.15.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.15.2-1.16.1.zip) | `e00384e19a410648b5f77d0d0b6b0e9ebc9edf49` |
| 1.16.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.16.2-1.16.4.zip) | `7c17c7e0f1e4c5ddb03b01490bf8b42dc393dea7` |
| 1.17.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.17.x.zip) | `5f1ebf97998539db0edbbeddc9ca5f69c6a71b04` |
| 1.18.x | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.18.x.zip) | `c0a4598fc7d53040a8e9e74e777b073527926cbf` |
| 1.19 - 1.19.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.19-1.19.2.zip) | `d66ae3774a6ecab74bf10950806211d8ec0a0739` |
| 1.19.3 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.19.3.zip) | `b223ce779c0efa793faf9d6a2ae7ed06ac2d4ff0` |
| 1.19.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.19.4.zip) | `fd08583b7d7936536c7e27c83fa4a159202092f0` |
| 1.20 - 1.20.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.20-1.20.1.zip) | `0f67daef7ff77d5bb87ee3d7c019c2075ea0e50e` |
| 1.20.2 - 1.20.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/Resource%20Packs/Examples-v2/VPExample-1.20.2-1.20.4.zip) | `59619b6662601a299410b6cb3d4d1a9ce83be8e2` |

> **The plugin is designed to make it easy to create your own vehicles.** We recommend making or buying your own vehicles to suit your server better.<br>
> If you want to buy one of the example vehicles included with the plugin, you can find them [here](https://polymart.org/team/sbdevelopment.93).
> {.is-warning}

### 4. Restart your server

Restart your server using the Restart button. Do ***NOT*** reload, it will break the plugin!

### 5. Have fun!

The plugin is now installed into your Minecraft server! Have fun with testing the plugin and creating your own vehicles.